Package org.apache.sysds.runtime.instructions.cp

# Enum Class AggregateUnaryCPInstruction.AUType

java.lang.Object
java.lang.Enum<AggregateUnaryCPInstruction.AUType>
org.apache.sysds.runtime.instructions.cp.AggregateUnaryCPInstruction.AUType

All Implemented Interfaces:
  `Serializable`, `Comparable<AggregateUnaryCPInstruction.AUType>`, `Constable`

Enclosing class:
  AggregateUnaryCPInstruction

public static enum AggregateUnaryCPInstruction.AUType extends Enum<AggregateUnaryCPInstruction.AUType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`COUNT_DISTINCT`
`COUNT_DISTINCT_APPROX`
`DEFAULT`
`EXISTS`
`LENGTH`
`LINEAGE`
`NCOL`
`NROW`
`UNIQUE`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isMeta()`
`static AggregateUnaryCPInstruction.AUType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AggregateUnaryCPInstruction.AUType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NROW

public static final AggregateUnaryCPInstruction.AUType NROW

### NCOL

public static final AggregateUnaryCPInstruction.AUType NCOL

### LENGTH

public static final AggregateUnaryCPInstruction.AUType LENGTH

### EXISTS

public static final AggregateUnaryCPInstruction.AUType EXISTS

### LINEAGE

public static final AggregateUnaryCPInstruction.AUType LINEAGE

### COUNT_DISTINCT

public static final AggregateUnaryCPInstruction.AUType COUNT_DISTINCT

### COUNT_DISTINCT_APPROX

public static final AggregateUnaryCPInstruction.AUType COUNT_DISTINCT_APPROX

### UNIQUE

public static final AggregateUnaryCPInstruction.AUType UNIQUE

### DEFAULT

public static final AggregateUnaryCPInstruction.AUType DEFAULT

## Method Details

### values

public static AggregateUnaryCPInstruction.AUType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static AggregateUnaryCPInstruction.AUType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### isMeta

public boolean isMeta()